## org.eclipse.emf.importer.ui.contribution.base
Class ModelImporterWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard
              org.eclipse.emf.importer.ui.contribution.base.ModelImporterWizard

All Implemented Interfaces:
  IModelImporterWizard, IWizard, INewWizard, IWorkbenchWizard

Direct Known Subclasses:
  EcoreImporterWizard, JavaImporterWizard, RoseImporterWizard

    public abstract class ModelImporterWizard

extends ModelConverterWizard
implements IModelImporterWizard

Since:
  2.1.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard
`ModelConverterWizard.PageHelper`

Field Summary
`protected java.lang.String` `fileName`
`protected IPath` `genModelContainerPath`
`protected IFile` `modelFile`
`protected IFile` `originalGenModelFile`
`protected IPath` `projectLocation`
`protected IPath` `projectPath`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard
`diagnosticHandler, doPerformFinishDiagnostic, modelConverter, pageHelper, selection, workbench`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ModelImporterWizard()`

Method Summary
`protected Diagnostic` `doPerformFinish(Monitor monitor)` Subclasses should overwrite this method, adding the code that performs the actions required when this wizard is "finished".
`java.util.List<java.lang.String>` `getFileExtensions()`
`IPath` `getGenModelContainerPath()`
`java.lang.String` `getGenModelFileName()`
`IPath` `getGenModelProjectLocation()`
`IPath` `getGenModelProjectPath()`
`IFile` `getModelFile()`
`ModelImporter` `getModelImporter()`
`IFile` `getOriginalGenModelFile()`
`boolean` `performFinish()`
`void` `setGenModelContainerPath(IPath genModelContainerPath)`
`void` `setGenModelFileName(java.lang.String fileName)`
`void` `setGenModelProjectLocation(IPath projectLocation)`
`void` `setGenModelProjectPath(IPath projectPath)`
`void` `setModelFile(IFile modelFile)`
`void` `setOriginalGenModelFile(IFile originalGenModelFile)`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard
`createModelConverter, dispose, getFile, getModelConverter, getSelection, getWorkbench, handleConvertDiagnostic, init, openEditor, performCancel, selectFile, setContainer`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, addPages, canFinish, createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchWizard
`init`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### originalGenModelFile

    protected IFile originalGenModelFile

### modelFile

    protected IFile modelFile

### fileName

    protected java.lang.String fileName

### genModelContainerPath

    protected IPath genModelContainerPath

### projectLocation

    protected IPath projectLocation

### projectPath

    protected IPath projectPath

Constructor Detail

### ModelImporterWizard

    public ModelImporterWizard()

Method Detail

### getModelImporter

    public ModelImporter getModelImporter()

### getFileExtensions

    public java.util.List<java.lang.String> getFileExtensions()

  Specified by:
    `getFileExtensions` in interface `IModelImporterWizard`

### setOriginalGenModelFile

    public void setOriginalGenModelFile(IFile originalGenModelFile)

  Specified by:
    `setOriginalGenModelFile` in interface `IModelImporterWizard`

### getOriginalGenModelFile

    public IFile getOriginalGenModelFile()

  Specified by:
    `getOriginalGenModelFile` in interface `IModelImporterWizard`

### setModelFile

    public void setModelFile(IFile modelFile)

  Specified by:
    `setModelFile` in interface `IModelImporterWizard`

### getModelFile

    public IFile getModelFile()

  Specified by:
    `getModelFile` in interface `IModelImporterWizard`

### setGenModelFileName

    public void setGenModelFileName(java.lang.String fileName)

  Specified by:
    `setGenModelFileName` in interface `IModelImporterWizard`

### getGenModelFileName

    public java.lang.String getGenModelFileName()

  Specified by:
    `getGenModelFileName` in interface `IModelImporterWizard`

### setGenModelContainerPath

    public void setGenModelContainerPath(IPath genModelContainerPath)

  Specified by:
    `setGenModelContainerPath` in interface `IModelImporterWizard`

### getGenModelContainerPath

    public IPath getGenModelContainerPath()

  Specified by:
    `getGenModelContainerPath` in interface `IModelImporterWizard`

### setGenModelProjectLocation

    public void setGenModelProjectLocation(IPath projectLocation)

  Specified by:
    `setGenModelProjectLocation` in interface `IModelImporterWizard`

### getGenModelProjectLocation

    public IPath getGenModelProjectLocation()

  Specified by:
    `getGenModelProjectLocation` in interface `IModelImporterWizard`

### setGenModelProjectPath

    public void setGenModelProjectPath(IPath projectPath)

  Specified by:
    `setGenModelProjectPath` in interface `IModelImporterWizard`

### getGenModelProjectPath

    public IPath getGenModelProjectPath()

  Specified by:
    `getGenModelProjectPath` in interface `IModelImporterWizard`

### doPerformFinish

    protected Diagnostic doPerformFinish(Monitor monitor)
                                  throws java.lang.Exception

  Description copied from class: `ModelConverterWizard`

  Subclasses should overwrite this method, adding the code that performs the actions required when this wizard is "finished".

  The `Diagnostic` returned by this method should be used to provide the user some information regarding a successful conversion. If the conversion fails, an exception should be thrown.

  Overrides:
    `doPerformFinish` in class `ModelConverterWizard`
  Returns:
    `Diagnostic`
  Throws:
    `java.lang.Exception`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `IWizard`
  Overrides:
    `performFinish` in class `ModelConverterWizard`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.